package w2.ex1.referenser.ex;

public class Referenser1 {
	public static void main(String[] args) {
		stringRefs();
		integerRefs();
	}

	private static void print(String exp, boolean b) {
		System.out.println(exp + " -> " + b);
	}

	private static void printIdEq(Object a, Object b, String aName, String bName) {
		System.out.println(aName + " == " + bName + " -> " + (a == b) + "\t"
				+ aName + ".equals(" + bName + ") -> " + a.equals(b));
	}

	private static void integerRefs() {
		Integer i = new Integer(2);
		Integer j = new Integer(2);
		print("i >= j", i >= j);
		print("i == j", i == j); // Hmmm...
		print("i == 2", i == 2);
	}

	private static void stringRefs() {
		String s3 = new String("False");
		String s4 = new String("False");
		printIdEq(s3, s4, "s3", "s4");

		String s5 = "True";
		String s6 = "Tr" + "ue";
		printIdEq(s5, s6, "s5", "s6");

		String s7 = "False";
		String sx = "F";
		String s8 = sx + "alse";
		printIdEq(s7, s8, "s7", "s8");
	}
}
