package w2.ex1.vektor.ex;

public class Vektor {
	private int x;
	private int y;
	private int z;

	public Vektor(int x, int y, int z) {
		this.x = x;
		this.y = y;
		this.z = z;
	}

	public double norm() {
		return Math.sqrt(x * x + y * y + z * z);
	}

	public void add(Vektor v) {
		x += v.x;
		y += v.y;
		z += v.z;
	}

	public void dumt(int x, int y, int z) {
		this.x = ++x;
		this.y = y + 1;
		this.z += z;
	}

	public int getX() {		return x;	}
	public int getY() {		return y;	}
	public int getZ() {		return z;	}

	public String toString() {
		return "Vektor, <x = " + x + ", y = " + y + ", z = " + z + ">";
	}

	public static void main(String[] args) {
		Vektor a = new Vektor(1, 0, 0);
		Vektor b = new Vektor(0, 1, 0);
		Vektor c = a;
		int x = 1;
		int y = 2;
		int z = 3;
		a.add(b);
		b.add(b);
		c.add(c);
		c.dumt(x, y, z);
		System.out.println("a: " + a);
		System.out.println("b: " + b);
		System.out.println("c: " + c);
		System.out.println("x: " + x + "\ty: " + y + "\tz: " + z);
	}

}
