package w2.ex3.creatures.sol;

import java.util.List;
import java.util.ArrayList;

public class Gang {
	private List<Creature> members;

	public Gang(int size) {
		members = new ArrayList<Creature>(size);
	}

	public void add(Creature m) {
		members.add(m);
	}

	public int damageSum() {
		int total = 0;

		for (Creature c : members) {
			if (c != null) {
				total += c.damage();
			}
		}

		return total;
	}

	public static void main(String[] args) {
		Snake snake = new Snake("Sour Serpent");
		Goblin goblin = new Goblin("Greasy Goblin");
		Spider spider = new Spider("Spicy Spider");
		Gang gang = new Gang(3);
		gang.add(snake);
		gang.add(spider);
		gang.add(goblin);
		System.out.println("Collective damage: " + gang.damageSum());
	}
}
